# Returns a event from the system by its ID.

This method will look up a event by the specified ID and return it back.

Endpoint: GET /events/{tenantId}/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

  - `id` (string, required)
    The ID of the event to return.

## Query parameters:

  - `fields` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned.

  - `consistentRead` (string)
    Indicates the API should force a consistent read on the data source.

## Response 200:

  - `200` (unknown)
    The event was retrieved successfully.

## Response 200 fields (application/json):

  - `address` (object)
    A complete address

  - `address.city` (string)
    The city of the address

  - `address.country` (string)
    The country ISO code

  - `address.country_name` (string)
    The full name of hte country

  - `address.county` (string)
    The county

  - `address.latitude` (number)

  - `address.line1` (string)
    The first line of the address

  - `address.line2` (string)
    The second line of the address

  - `address.line3` (string)
    The third line of the address

  - `address.longitude` (number)

  - `address.postal_code` (string)
    The zip/postal code

  - `address.state` (string)
    The state/province of the address

  - `address.time_zone_id` (string)

  - `business_unit_id` (string)
    The business unit of this event

  - `capacity_options` (object, required)

  - `capacity_options.capacity` (number, required)

  - `capacity_options.enable_wait_list` (boolean)
    If set, people can be placed on a wait list

  - `capacity_options.text_to_display_when_sold_out` (string)
    The text to show in the portal when the event is sold out

  - `capacity_options.waitlist_process_id` (string)
    The process to use for managing the waitlist

  - `chapter_id` (string)
    The chapter associated with this event, if applicable

  - `cloned_from_id` (string)
    The event from which this event was cloned

  - `console_access_options` (object, required)

  - `console_access_options.administrator_security_role_ids` (array)
    The policies that should have administrator level access

  - `console_access_options.user_security_role_ids` (array)
    The policies that should have user level access

  - `custom_field_values` (array)

  - `custom_field_values.boolean_value` (boolean)
    The boolean value

  - `custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `custom_field_values.list_value` (array)
    The list value

  - `custom_field_values.numeric_value` (number)
    The numeric value

  - `custom_field_values.string_value` (string)
    The string value of the custom field

  - `custom_field_values.table_value` (array)
    A list of objects (a table)

  - `date_to_remove_from_portal` (string)
    The date that that this event should be removed from the portal. If blank, the end date is used

  - `description` (string)
    Event description

  - `do_not_stretch_masthead` (boolean)
    If set, the masthead image is not stretched and is left as is

  - `enable_abstracts` (boolean)
    Whether or not abstract submission and judging is enabled for this event

  - `enable_capacity` (boolean)
    If set, the session has a capacity

  - `enable_components` (boolean)
    Whether or not this event has mini-conferences, or components

  - `enable_courses` (boolean)
    Whether or not certification courses can be sold during the event

  - `enable_documents` (boolean)
    Enable documents for your event

  - `enable_exhibitors` (boolean)
    Whether or not this event has exhibitors

  - `enable_functions` (boolean)
    Whether or not functions are enabled for this event

  - `enable_logistics` (boolean)
    Whether or not logistics & planning are available for this event

  - `enable_onsite` (boolean)
    Whether or not you would like onsite checking and kiosks for this event

  - `enable_registration` (boolean)
    Whether or not online registration is enabled for this event

  - `enable_sessions` (boolean)
    Whether or not onlines sessions are enabled for this event

  - `enable_sponsors` (boolean)
    Whether or not this event has sponsors you would like to track

  - `enable_volunteers` (boolean)
    Whether or not volunteer management & tracking

  - `end_date` (string, required)
    The end of the event

  - `featured` (boolean)
    If true, this event should be featured and displayed prominently

  - `featured_from` (string)
    The time during which this event should be featured

  - `featured_until` (string)
    The time during which this event should be featured

  - `id` (string, required)
    The unique, string identifier of this event

  - `masthead_image_uri` (string)
    The masthead image to be displayed for the event

  - `name` (string, required)
    The name of the event

  - `portal_integrated_events_options` (object)

  - `portal_integrated_events_options.registrant_directory_id` (string)
    The attendee directory ID

  - `portal_integrated_events_options.show_group_registration` (boolean)
    If true, group registration is shown

  - `portal_integrated_events_options.show_registrant_directory` (boolean)
    If true, a list of attendees are shown

  - `portal_integrated_events_options.show_schedule` (boolean)
    If true, schedule is shown

  - `previous_event_id` (string)
    The event linked that occurred before this one, used for comparison

  - `registration_deadlines` (array)

  - `registration_deadlines.date` (string, required)

  - `registration_deadlines.id` (string, required)
    The registration deadline

  - `restrict_console_access` (boolean)
    If true, only certain console users can access this event

  - `site_mode` (string)
    Describes how this event registration and site information will be hosted and displayed
    Enum: "external", "microsite", "none", "portal integrated"

  - `sold_out` (boolean)
    Whether the event is sold out

  - `start_date` (string, required)
    The start of the event

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

  - `thumbnail_image_uri` (string)
    The thumbnail image to display in upcoming events

  - `timezone` (string, required)
    The timezone that the event is in

  - `timezone_abbreviation` (string)
    The timezone abbreviation, based on the event start date

  - `timezone_mode` (string)
    Enum: "local", "specific timezone"

  - `timezone_offset` (number)
    The time zone offset, in minutes, from UTC, based on the event start date

  - `type_id` (string, required)
    The type of event

  - `url` (string, required)
    The URL of the event site

  - `venue_id` (string)
    The venue hosting the event

  - `visible_in_portal` (boolean)
    Whether this is visible in the portal

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The event could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve event based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

